Hi Nyall,
I have been using 2.16 in a 3 week summer class. We have been using these 
functions, and not seen the described errors.
We use OS : Windows 7 and 8 - the MAC users was using 2.14

Is it on Linux you get the errors ?
Regards


Lene Fischer

-----Oprindelig meddelelse-----
Fra: Qgis-developer [mailto:qgis-developer-boun...@lists.osgeo.org] På vegne af 
Nyall Dawson
Sendt: 16. september 2016 03:09
Til: qgis-developer
Emne: [Qgis-developer] Warning - shapefile corruption on 2.16/master and how to 
recover

Unfortunately a fairly nasty regression has slipped in to 2.16 and is still 
present on master. This results in shapefile corruption in certain 
circumstances.

While I've hit this issue maybe 3 or 4 times in the last 2 months, I haven't 
been able to track down exactly what causes this. It seems related to using the 
split or reshape tool on a shapefile, then saving the changes and getting the 
errors "Cannot reopen datasource
xxx.shp|layerid=0 in read-only mode" and "Data source is invalid (Unable to 
open xxx.shx or xxx.SHX.Try --config SHAPE_RESTORE_SHX true to restore or 
create it)" in the log.

A full report is at http://hub.qgis.org/issues/15570

Hopefully we can resolve this before the next round of releases. In the 
meantime, there's a workaround for recovering data:

In the same folder as the shapefile there'll be additional files 
"xxx_packed.shp" and "xxx_packed.shx". Renaming the "xxx_packed.shx"
file to "xxx.shx" allows the original shapefile to be reopened.

Nyall
_______________________________________________
Qgis-developer mailing list
Qgis-developer@lists.osgeo.org
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
_______________________________________________
Qgis-developer mailing list
Qgis-developer@lists.osgeo.org
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer

Reply via email to